Package org.mariadb.jdbc.message.client

## Class PreparePacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.PreparePacket

All Implemented Interfaces:
  `ClientMessage`

    public final class PreparePacket
    extends Object
    implements ClientMessage

### Constructor Summary

Constructors
`PreparePacket​(String sql)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()`
`int` `encode​(PacketWriter writer, Context context)`
`Completion` `readPacket​(Statement stmt, int fetchSize, long maxRows, int resultSetConcurrency, int resultSetType, boolean closeOnCompletion, PacketReader reader, PacketWriter writer, Context context, ExceptionFactory exceptionFactory, ReentrantLock lock, boolean traceEnable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.client.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta`

### Constructor Detail

#### PreparePacket

    public PreparePacket​(String sql)

### Method Detail

#### encode

    public int encode​(PacketWriter writer,
                      Context context)
               throws IOException

Specified by:
  `encode` in interface `ClientMessage`
Throws:
  `IOException`

#### readPacket

    public Completion readPacket​(Statement stmt,
                                 int fetchSize,
                                 long maxRows,
                                 int resultSetConcurrency,
                                 int resultSetType,
                                 boolean closeOnCompletion,
                                 PacketReader reader,
                                 PacketWriter writer,
                                 Context context,
                                 ExceptionFactory exceptionFactory,
                                 ReentrantLock lock,
                                 boolean traceEnable)
                          throws IOException,
                                 SQLException

Specified by:
  `readPacket` in interface `ClientMessage`
Throws:
  `IOException`
  `SQLException`

#### description

    public String description()

Specified by:
  `description` in interface `ClientMessage`